### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ServiceConfigExporter

java.lang.Object
com.sas.services.deployment.ServiceConfigExporter

@SASScope("ALL") @BinaryCompatibilityOnly public final class ServiceConfigExporter extends Object
Application used to export each of an application's consumed SAS Foundation Service configurations from the Metadata Server repository to UTF-8 encoded XML files. One file will be created each consumer's service configuration.

Since:
  9.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `exportServiceConfigurations(String[] args)`
  Main method for an application used to exports a SAS Foundation Services deployment's consumed service configurations to UTF-8 encoded XML files.
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### main

    public static void main(String[] args) throws RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### exportServiceConfigurations

    public static void exportServiceConfigurations(String[] args) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Main method for an application used to exports a SAS Foundation Services deployment's consumed service configurations to UTF-8 encoded XML files. Command line options used to run this application are summarized below.

    ## SAS Foundation Service

    When exporting a SAS Foundation Service deployment's consumed service configurations, one must specify the name of the deployment and the absolute file path to the directory where the exported service configuration files will be written.

    SAS Foundation Service Command Line Options
    SAS Foundation Services
    Option | Description
    --- | ---
    `-serviceDeploymentName` | Name of the SAS Foundation Services deployment (SoftwareComponent.Name)
    `-directory` | The absolute path to the file system directory where the consumed service configuration files will be written.

    ## Metadata Server

    One must specify the SAS Metadata Server and the desired connection approach.

    Parameters:
      `args` - Command line arguments specifying how to connect to the metadata server, whether a login credential or SSPI is used, the configuration directory for the services deployment and the output directory where the application's service configurations should be written.
      - -metaserver <server>
      - -metaport <port>
      - -metarepository <repository>
      - -serviceDeploymentName <serviceDeploymentName>
      - -directory <directory>
      - Connection
        - using a Login Credential
          - -metauser <userID>
          - -metapass <password> or -password_on_stdin true (and specify -metapass via System.in)
        - using SSPI
          - -secpackagelist <secpackagelist>
          - -metaspn <spn> (optional)

      One may optionally specify whether an option prompt is presented by specifying the command line option `-isPrompting <true|false>`

    Throws:
      `ServiceException` - if unable to export the application's service configurations.
      `com.sas.metadata.remote.MdException`
      `RemoteException`
    Since:
      9.3